///////////////////////////////////////////////////////////////////////////////
// GameSpy ATLAS Competition System Header File
//
// NOTE: This is an auto-generated file, do not edit this file directly.
///////////////////////////////////////////////////////////////////////////////

#ifndef _ATLAS_ATLASSAMPLES_V2_H_
#define _ATLAS_ATLASSAMPLES_V2_H_

#ifdef __cplusplus
extern "C" {
#endif

static const int ATLAS_RULE_SET_VERSION = 2;

// KEYS
// Use this static array to access the key name.

extern const char * ATLAS_KEY_NAMES[];

// Use these key ID's to report match data for your game or to access above array.

enum ATLAS_KEYS
{
	ATLAS_KEY_RACE_TIME_P = 1,  // [TYPE: int64] [DESC: Player's race time]
	ATLAS_KEY_USED_VEHICLE_1_P = 2,  // [TYPE: byte] [DESC: Set to 1 if the player used Vehicle 1, otherwise 0]
	ATLAS_KEY_USED_VEHICLE_2_P = 3,  // [TYPE: byte] [DESC: Set to 1 if the player used Vehicle 2, otherwise 0]
	ATLAS_KEY_USED_VEHICLE_1_G = 5,  // [TYPE: byte] [DESC: The number of players that used Vehicle 1 in the race]
	ATLAS_KEY_USED_VEHICLE_2_G = 6,  // [TYPE: byte] [DESC: The number of players that used Vehicle 2 in the race]
	ATLAS_KEY_USED_TRACK_1 = 7,  // [TYPE: byte] [DESC: Set to 1 if the race was on Track 1, otherwise 0; we can use this as a player key and game key since the value won't change]
	ATLAS_KEY_USED_TRACK_2 = 8,  // [TYPE: byte] [DESC: Set to 1 if the race was on Track 2, otherwise 0; we can use this as a player key and game key since the value won't change]
	ATLAS_KEY_PLAYER_NAME_P = 9// [TYPE: string]
};

///////////////////////////////////////////////////////////////////////////////

// STATS
// Use these stat IDs to reference the stat names with the corresponding.
// NOTE: These are for legacy ATLAS applications.  Current ATLAS applications
// should use the ATLAS Data Service API

extern const char * ATLAS_STAT_NAMES[];

enum ATLAS_STATS
{
	ATLAS_STAT_Player_Stats_NUM_CAREER_RACES = 1,  // [TYPE: int]
	ATLAS_STAT_Player_Stats_NUM_CAREER_WINS = 2,  // [TYPE: int]
	ATLAS_STAT_Player_Stats_NUM_CAREER_LOSSES = 3,  // [TYPE: int]
	ATLAS_STAT_Player_Stats_WIN_LOSS_RATIO = 4,  // [TYPE: float] [DESC: (Wins / Losses)]
	ATLAS_STAT_Player_Stats_CURRENT_WIN_STREAK = 5,  // [TYPE: int]
	ATLAS_STAT_Player_Stats_CURRENT_LOSS_STREAK = 6,  // [TYPE: int]
	ATLAS_STAT_Player_Stats_LONGEST_WIN_STREAK = 7,  // [TYPE: int]
	ATLAS_STAT_Player_Stats_LONGEST_LOSS_STREAK = 8,  // [TYPE: int]
	ATLAS_STAT_Player_Stats_TOTAL_RACING_TIME = 9,  // [TYPE: int64]
	ATLAS_STAT_Player_Stats_BEST_RACE_TIME = 10,  // [TYPE: int64]
	ATLAS_STAT_Vehicle_1_NUM_TIMES_USED_PLAYER = 28,  // [TYPE: int] [DESC: The number of times vehicle 1 was used for each player]
	ATLAS_STAT_Vehicle_1_NUM_TIMES_USED = 30,  // [TYPE: int] [DESC: The number of times vehicle 1 was used total for the game]
	ATLAS_STAT_Track_1_NUM_TIMES_USED_PLAYER = 40,  // [TYPE: int] [DESC: The number of times this track was raced for each player]
	ATLAS_STAT_Track_1_NUM_TIMES_USED = 42,  // [TYPE: int] [DESC: The number of times this track was raced total for the game]
	ATLAS_STAT_Game_Stats_TOTAL_NUM_RACES = 52,  // [TYPE: int]
	ATLAS_STAT_Vehicle_2_NUM_TIMES_USED_PLAYER = 55,  // [TYPE: int] [DESC: The number of times vehicle 1 was used for each player]
	ATLAS_STAT_Vehicle_2_NUM_TIMES_USED = 56,  // [TYPE: int] [DESC: The number of times vehicle 1 was used total for the game]
	ATLAS_STAT_Track_2_NUM_TIMES_USED_PLAYER = 57,  // [TYPE: int] [DESC: The number of times this track was raced for each player]
	ATLAS_STAT_Track_2_NUM_TIMES_USED = 58,  // [TYPE: int] [DESC: The number of times this track was raced total for the game]
	ATLAS_STAT_Player_Stats_PLAYER_NAME = 59,  // [TYPE: string] [DESC: All Categories with Player stats should store the name - this way you don't have to convert from ownerid to player name when displaying leaderboards and stuff]
	ATLAS_STAT_Vehicle_1_PLAYER_NAME = 60,  // [TYPE: string] [DESC: All Categories with Player stats should store the name - this way you don't have to convert from ownerid to player name when displaying leaderboards and stuff]
	ATLAS_STAT_Vehicle_2_PLAYER_NAME = 61,  // [TYPE: string] [DESC: All Categories with Player stats should store the name - this way you don't have to convert from ownerid to player name when displaying leaderboards and stuff]
	ATLAS_STAT_Track_1_PLAYER_NAME = 62,  // [TYPE: string] [DESC: All Categories with Player stats should store the name - this way you don't have to convert from ownerid to player name when displaying leaderboards and stuff]
	ATLAS_STAT_Track_2_PLAYER_NAME = 63// [TYPE: string] [DESC: All Categories with Player stats should store the name - this way you don't have to convert from ownerid to player name when displaying leaderboards and stuff]
};

///////////////////////////////////////////////////////////////////////////////

// STAT ID to CATEGORY NAME MAP
extern const char * ATLAS_STAT_CATEGORY_NAMES[];

///////////////////////////////////////////////////////////////////////////////

// QUERY IDS
// Use these query ids to call the appropriate query for your code.

static const char * ATLAS_Query_Track_2_MOST_RACES_ON_TRACK2 = "f811d311-79ae-4784-bdd6-7c008fbb01e0";
static const char * ATLAS_Query_Vehicle_1_VEHICLE_1_GLOBAL_METRICS = "06526fcd-340f-4b5a-8a7a-4d71e4870b8e";
static const char * ATLAS_Query_Vehicle_2_VEHICLE_2_GLOBAL_METRICS = "eff9f4b5-7a8e-4e25-82b3-2937245a8d0d";
static const char * ATLAS_Query_Track_1_MOST_RACES_ON_TRACK1 = "ba5bc9ad-905e-482e-b9ba-c099a21bfd6e";
static const char * ATLAS_Query_Player_Stats_PLAYER_LB = "bf96bc68-5a9a-4b4f-b7b1-5720c9683ac6";
static const char * ATLAS_Query_Game_Stats_METRICS_GLOBAL = "a2749713-6a6b-4d0c-a856-d0cbf5ed6a19";
static const char * ATLAS_Query_Player_Stats_PROFILE_STATS_PLAYER = "693aa1aa-140f-45a4-ab69-8677d2db1497";



#ifdef __cplusplus
}
#endif

#endif // _ATLAS_ATLASSAMPLES_V2_H_
