///////////////////////////////////////////////////////////////////////////////
// GameSpy ATLAS Competition System Header File
// Copyright (c) IGN Entertainment, Inc.  All rights reserved.  
// This software is made available only pursuant to certain license terms offered
// by IGN or its subsidiary GameSpy Industries, Inc.  Unlicensed use or use in a 
// manner not expressly authorized by IGN or GameSpy is prohibited.
//
// NOTE: This is an auto-generated file, do not edit this file directly.
///////////////////////////////////////////////////////////////////////////////

#ifndef _ATLAS_ATLAS_SAMPLES_V1_H_
#define _ATLAS_ATLAS_SAMPLES_V1_H_

#ifdef __cplusplus
extern "C" {
#endif

static const int ATLAS_RULE_SET_VERSION = 1;

// KEYS
// Use this static array to access the key name.

extern const char * ATLAS_KEY_NAMES[];

// Use these key ID's to report match data for your game or to access above array.

enum ATLAS_KEYS
{
	ATLAS_KEY_RACE_TIME = 1,  // [TYPE: int64] [DESC: This single key facilitates all the race match statistics]
	ATLAS_KEY_USED_VEHICLE_1 = 2,  // [TYPE: byte] [DESC: For Metrics -- Indicates "Vehicle 1" was used]
	ATLAS_KEY_USED_VEHICLE_2 = 3,  // [TYPE: byte] [DESC: For Metrics -- Indicates "Vehicle 2" was used]
	ATLAS_KEY_USED_VEHICLE_3 = 4,  // [TYPE: byte] [DESC: For Metrics -- Indicates "Vehicle 3" was used]
	ATLAS_KEY_USED_TRACK_1 = 5,  // [TYPE: byte] [DESC: For Metrics -- Indicates "Track 1" was used]
	ATLAS_KEY_USED_TRACK_2 = 6,  // [TYPE: byte] [DESC: For Metrics -- Indicates "Track 2" was used]
	ATLAS_KEY_USED_TRACK_3 = 7// [TYPE: byte] [DESC: For Metrics -- Indicates "Track 3" was used]
};

///////////////////////////////////////////////////////////////////////////////

// STATS
// Use these stat IDs to reference the stat names with the corresponding.
// NOTE: These are for legacy ATLAS applications.  Current ATLAS applications
// should use the ATLAS Data Service API

extern const char * ATLAS_STAT_NAMES[];

enum ATLAS_STATS
{
	ATLAS_STAT_STATS_Player_NUM_CAREER_RACES = 1,  // [TYPE: int]
	ATLAS_STAT_STATS_Player_NUM_CAREER_WINS = 2,  // [TYPE: int]
	ATLAS_STAT_STATS_Player_NUM_CAREER_LOSSES = 3,  // [TYPE: int]
	ATLAS_STAT_STATS_Player_WIN_LOSS_RATIO = 4,  // [TYPE: float] [DESC: (Wins : Losses)]
	ATLAS_STAT_STATS_Player_CURRENT_WIN_STREAK = 5,  // [TYPE: int]
	ATLAS_STAT_STATS_Player_CURRENT_LOSS_STREAK = 6,  // [TYPE: int]
	ATLAS_STAT_STATS_Player_LONGEST_WIN_STREAK = 7,  // [TYPE: int]
	ATLAS_STAT_STATS_Player_LONGEST_LOSS_STREAK = 8,  // [TYPE: int]
	ATLAS_STAT_STATS_Player_TOTAL_TIME_PLAYED = 9,  // [TYPE: int64]
	ATLAS_STAT_STATS_Player_BEST_RACE_TIME = 10,  // [TYPE: int64]
	ATLAS_STAT_STATS_Player_RANK = 11,  // [TYPE: float]
	ATLAS_STAT_STATS_Team_NUM_CAREER_RACES = 15,  // [TYPE: int]
	ATLAS_STAT_STATS_Team_NUM_CAREER_WINS = 16,  // [TYPE: int]
	ATLAS_STAT_STATS_Team_NUM_CAREER_LOSSES = 17,  // [TYPE: int]
	ATLAS_STAT_STATS_Team_WIN_LOSS_RATIO = 18,  // [TYPE: float] [DESC: (Wins : Losses)]
	ATLAS_STAT_STATS_Team_CURRENT_WIN_STREAK = 19,  // [TYPE: int]
	ATLAS_STAT_STATS_Team_CURRENT_LOSS_STREAK = 20,  // [TYPE: int]
	ATLAS_STAT_STATS_Team_LONGEST_WIN_STREAK = 21,  // [TYPE: int]
	ATLAS_STAT_STATS_Team_LONGEST_LOSS_STREAK = 22,  // [TYPE: int]
	ATLAS_STAT_STATS_Team_TOTAL_TIME_PLAYED = 23,  // [TYPE: int64]
	ATLAS_STAT_STATS_Team_BEST_RACE_TIME = 24,  // [TYPE: int64]
	ATLAS_STAT_STATS_Team_RANK = 25,  // [TYPE: float]
	ATLAS_STAT_METRICS_Vehicle_1_NUM_TIMES_USED_PLAYER = 28,  // [TYPE: int] [DESC: The number of times used for each player]
	ATLAS_STAT_METRICS_Vehicle_1_NUM_TIMES_USED_TEAM = 29,  // [TYPE: int] [DESC: The number of times used for each team]
	ATLAS_STAT_METRICS_Vehicle_1_NUM_TIMES_USED = 30,  // [TYPE: int] [DESC: The number of times used total for the game]
	ATLAS_STAT_METRICS_Vehicle_1_BEST_RACE_TIME = 31,  // [TYPE: int] [DESC: Fastest race time ever achieved with this vehicle]
	ATLAS_STAT_METRICS_Vehicle_2_NUM_TIMES_USED_PLAYER = 32,  // [TYPE: int] [DESC: The number of times used for each player]
	ATLAS_STAT_METRICS_Vehicle_2_NUM_TIMES_USED_TEAM = 33,  // [TYPE: int] [DESC: The number of times used for each team]
	ATLAS_STAT_METRICS_Vehicle_2_NUM_TIMES_USED = 34,  // [TYPE: int] [DESC: The number of times used total for the game]
	ATLAS_STAT_METRICS_Vehicle_2_BEST_RACE_TIME = 35,  // [TYPE: int] [DESC: Fastest race time ever achieved with this vehicle]
	ATLAS_STAT_METRICS_Vehicle_3_NUM_TIMES_USED_PLAYER = 36,  // [TYPE: int] [DESC: The number of times used for each player]
	ATLAS_STAT_METRICS_Vehicle_3_NUM_TIMES_USED_TEAM = 37,  // [TYPE: int] [DESC: The number of times used for each team]
	ATLAS_STAT_METRICS_Vehicle_3_NUM_TIMES_USED = 38,  // [TYPE: int] [DESC: The number of times used total for the game]
	ATLAS_STAT_METRICS_Vehicle_3_BEST_RACE_TIME = 39,  // [TYPE: int] [DESC: Fastest race time ever achieved with this vehicle]
	ATLAS_STAT_METRICS_Track_1_NUM_TIMES_USED_PLAYER = 40,  // [TYPE: int] [DESC: The number of times this track was raced for each player]
	ATLAS_STAT_METRICS_Track_1_NUM_TIMES_USED_TEAM = 41,  // [TYPE: int] [DESC: The number of times this track was raced for each team]
	ATLAS_STAT_METRICS_Track_1_NUM_TIMES_USED = 42,  // [TYPE: int] [DESC: The number of times this track was raced total for the game]
	ATLAS_STAT_METRICS_Track_1_BEST_RACE_TIME = 43,  // [TYPE: int] [DESC: Fastest race time ever achieved on this track]
	ATLAS_STAT_METRICS_Track_2_NUM_TIMES_USED_PLAYER = 44,  // [TYPE: int] [DESC: The number of times this track was raced for each player]
	ATLAS_STAT_METRICS_Track_2_NUM_TIMES_USED_TEAM = 45,  // [TYPE: int] [DESC: The number of times this track was raced for each team]
	ATLAS_STAT_METRICS_Track_2_NUM_TIMES_USED = 46,  // [TYPE: int] [DESC: The number of times this track was raced total for the game]
	ATLAS_STAT_METRICS_Track_2_BEST_RACE_TIME = 47,  // [TYPE: int] [DESC: Fastest race time ever achieved on this track]
	ATLAS_STAT_METRICS_Track_3_NUM_TIMES_USED_PLAYER = 48,  // [TYPE: int] [DESC: The number of times this track was raced for each player]
	ATLAS_STAT_METRICS_Track_3_NUM_TIMES_USED_TEAM = 49,  // [TYPE: int] [DESC: The number of times this track was raced for each team]
	ATLAS_STAT_METRICS_Track_3_NUM_TIMES_USED = 50,  // [TYPE: int] [DESC: The number of times this track was raced total for the game]
	ATLAS_STAT_METRICS_Track_3_BEST_RACE_TIME = 51,  // [TYPE: int] [DESC: Fastest race time ever achieved on this track]
	ATLAS_STAT_METRICS_Global_TOTAL_NUM_RACES = 52,  // [TYPE: int]
	ATLAS_STAT_METRICS_Global_TOTAL_TIME_PLAYED = 53// [TYPE: int64]
};

///////////////////////////////////////////////////////////////////////////////

// STAT ID to CATEGORY NAME MAP
extern const char * ATLAS_STAT_CATEGORY_NAMES[];

///////////////////////////////////////////////////////////////////////////////

// QUERY IDS
// Use these query ids to call the appropriate query for your code.

static const char * ATLAS_Query_STATS_Player_PLAYER_LB = "4f3771e1-ef7a-4be3-b99e-5d04021e262c";
static const char * ATLAS_Query_METRICS_Global_METRICS_GLOBAL = "50a4f0f3-27d6-4b54-9728-9bc92c6150a5";
static const char * ATLAS_Query_STATS_Player_LEADERBOARD_PLAYER_RACETIME = "7fed8331-b437-4e06-9482-740b3645679b";
static const char * ATLAS_Query_STATS_Player_LEADERBOARD_PLAYER_RANK = "f8cab5d0-087b-4b78-bd1a-cbec62adde43";
static const char * ATLAS_Query_STATS_Player_PROFILE_STATS_PLAYER = "493ace92-b17f-4661-9f01-69a91ec11e25";



#ifdef __cplusplus
}
#endif

#endif // _ATLAS_ATLAS_SAMPLES_V1_H_
